Teams
Teams represent groups of employees that can be assigned to entities for access control and organisation. Teams can restrict data access so members only see entities assigned to their team.
Use the Team endpoint to query teams.
Read-only
Teams are managed through the Tribe CRM UI. The API provides read-only access to query existing teams.
Endpoints
List Teams
GET
/v1/odata/TeamSingle Team
GET
/v1/odata/Team({id})Fields
Team Fields
| Field | Type | Description |
|---|---|---|
Name | String | Team name |
LocalizedName | String | Localized team name |
IsAccessLimitedToTeam | Boolean | Whether members can only access team-assigned entities |
HasAccessToNonTeamRelationships | Boolean | Whether members can access relationships not assigned to any team |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Members | Relationship.Person.Contact.Employee | 1:N | Team members (employees) |
| Entities | Entity | 1:N | Entities assigned to this team |
| Datasets | Dataset | 1:N | Datasets |
| Views | View | 1:N | Views |
| KpiTargets | KpiTarget | 1:N | KPI targets |
| KpiMeasurements | KpiMeasurement | 1:N | KPI measurements |
Expanding Relationships
GET
/v1/odata/Team({id})?$expand=MembersNavigating Relationships
GET
/v1/odata/Team({id})/MembersFiltering Examples
GET
/v1/odata/Team?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Team?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Team?$filter=IsAccessLimitedToTeam eq {IsAccessLimitedToTeam}&$top={top}